package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class IndikatorAccount
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "IndikatorAccount_M")
public class IndikatorAccountVO extends BaseMasterVO {
	@Caption(value="Indikator")
	private String indikator;

	public void setIndikator(String indikator) {
		this.indikator = indikator;
	}

	@Column(name = "Indikator", nullable = false , length = 50)
	public String getIndikator(){
		return this.indikator;
	}

	@Caption(value="Kode Indikator")
	private Byte kdIndikator;

	public void setKdIndikator(Byte kdIndikator) {
		this.kdIndikator = kdIndikator;
	}

	@Column(name = "KdIndikator", nullable = false )
	public Byte getKdIndikator(){
		return this.kdIndikator;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectJenisAccountFk")
	@NotNull(message="Object Jenis Account Harus Diisi")
	@Caption(value="Object Jenis Account")
	private JenisAccountVO jenisAccount;

	public void setJenisAccount(JenisAccountVO jenisAccount) {
		this.jenisAccount = jenisAccount;
	}

	@Column(name = "KdJenisAccount", nullable = false )
	public JenisAccountVO getJenisAccount(){
		return this.jenisAccount;
	}

	@Column(name = "ObjectJenisAccountFk", insertable=false,updatable=false)
	private Integer jenisAccountId;

	@Caption(value="No Urut")
	private Byte noUrut;

	public void setNoUrut(Byte noUrut) {
		this.noUrut = noUrut;
	}

	@Column(name = "NoUrut", nullable = true )
	public Byte getNoUrut(){
		return this.noUrut;
	}

	@Caption(value="QIndikator Account")
	private Byte qIndikatorAccount;

	public void setqIndikatorAccount(Byte qIndikatorAccount) {
		this.qIndikatorAccount = qIndikatorAccount;
	}

	@Column(name = "QIndikatorAccount", nullable = false )
	public Byte getqIndikatorAccount(){
		return this.qIndikatorAccount;
	}


}

